KABC::DistributionListWatcher Class Reference

`#include <distributionlist.h>`

Inherits QObject.

## Signals

void | changed ()

## Static Public Member Functions

static DistributionListWatcher * | self ()

## Detailed Description

Watchdog for distribution lists.

This class provides a changed() signal that i emitted when the distribution lists has changed in some way.

Exapmle:

KABC::DistributionListWatcher *watchdog = KABC::DistributionListWatcher::self()
connect( watchdog, SIGNAL( changed() ), SLOT( doSomething() ) );

Definition at line 189 of file distributionlist.h.

## Member Function Documentation

void KABC::DistributionListWatcher::changed | ( |  | ) |

signal

This signal is emmitted whenever the distribution lists has changed (if a list was added or removed, when a list was renamed or the entries of the list changed).

DistributionListWatcher * DistributionListWatcher::self | ( |  | ) |

static

Returns the watcher object.

Definition at line 288 of file distributionlist.cpp.

The documentation for this class was generated from the following files:

- distributionlist.h
- distributionlist.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys